BEGIN TRANSACTION;

CREATE TABLE Lessons(
	LessonID		int,
	Title 			varchar(40),
	Description varchar(500),
	Author 			varchar(40),
	Email 			varchar(40),
	XmlPath 		varchar(255),
	Created 		datetime,
	QuestionCnt	int,
 
	PRIMARY KEY ( LessonID )
);

CREATE TABLE TakenLessons (
	LessonID		int, 
	ResultsID		int, 
	DtTaken 		datetime,
 
	PRIMARY KEY ( LessonID, ResultsID, DtTaken ), 
	FOREIGN KEY ( LessonID ) REFERENCES Lessons( LessonID ), 
	FOREIGN KEY ( ResultsID ) REFERENCES Results( ResultsID )
);

CREATE TABLE Results (
	ResultsID 	int, 
	QuestionNum	int,
	result 			int,
 
	PRIMARY KEY ( ResultsID, QuestionNum )
);

CREATE TABLE LessonLanguages (
	LessonID 		int, 
	LangID 			int,
 
	PRIMARY KEY ( LessonID, LangID ),
	FOREIGN KEY ( LessonID ) REFERENCES Lessons( LessonID ),
	FOREIGN KEY ( LangID ) REFERENCES LanguageCodes( LangID )
);

-- Ethnologue Tables
/*
CREATE TABLE LanguageCodes (
   LangID      char(3) NOT NULL,        -- Three-letter code
   CountryID   char(2) NOT NULL,        -- Main country where used 
   LangStatus  char(1) NOT NULL,        -- L(iving), N(early extinct),
                                        -- E(xtinct), S(econd langauge only)
   Name        varchar(75) NOT NULL     -- Primary name in that country 
);

CREATE TABLE CountryCodes (
   CountryID   char(2) NOT NULL,        -- Two-letter code from ISO3166
   Name        varchar(75) NOT NULL,    -- Country name
   Area        varchar(10) NOT NULL     -- World area 
);

CREATE TABLE LanguageIndex (
   LangID      char(3) NOT NULL,        -- Three-letter code for language
   CountryID   char(2) NOT NULL,        -- Country where this name is used 
   NameType    char(2) NOT NULL,        -- L(anguage), LA(lternate),
                                        -- D(ialect), DA(lternate)
                                        -- LP,DP (a pejorative alternate)
   Name        varchar(75) NOT NULL     -- The name
);
*/

COMMIT;
