/******************************************************************************
 *
 * Copyright (c) 2006 Jon Black
 *
 * This file is part of Gibberish.
 *
 * Gibberish is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Gibberish is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

#include "DatabaseInterface.h"

#include <QSqlDatabase>
#include <QSqlQuery>
#include <QSqlError>
#include <QtDebug>

/**
 *
 */
DatabaseInterface::DatabaseInterface()
{
	query = 0;
}

/**
 *
 */
void DatabaseInterface::open()
{
	QSqlDatabase db = QSqlDatabase::addDatabase("QSQLITE");
	db.setDatabaseName("database/gibberishDB");
	db.setUserName("student");
	db.setPassword("password");
	bool ok = db.open();

	if ( !ok )
		qDebug( "[SQL ERROR] Unable to open the database" );
}

/**
 *
 */
QSqlQuery* DatabaseInterface::exec( QString sql )
{
	query = new QSqlQuery;

	qDebug() << "[SQL EXEC]" << sql;

	bool ok = query->exec( sql );

	if ( !ok )
	{
		qDebug() << "[SQL DTBASE ERROR]:" << query->lastError().databaseText();
		qDebug() << "[SQL DRIVER ERROR]:" << query->lastError().driverText();
	}

	return query;
}
