/******************************************************************************
 *
 * Copyright (c) 2006 Jon Black
 *
 * This file is part of Gibberish.
 *
 * Gibberish is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Gibberish is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

/**
 * \file Lesson.cpp
 * \author Jon Black
 */ 

#include "Lesson.h"

#include "LessonSettings.h"
#include "Questions.h"
#include "Score.h"

// *****************************************************************************
// Constructor/Destructor
// *****************************************************************************

/**
 *
 */
Lesson::Lesson()
{
	lScore = new Score();
}

/**
 *
 */
Lesson::Lesson( QString title )
{
	this->title = title;
	lScore = new Score();
}

// *****************************************************************************
// Methods
// *****************************************************************************

/**
 *
 */
QString Lesson::getTitle()
{
	return this->title;
}

/**
 *
 */
void Lesson::setLessonSettings( LessonSettings* lSettings )
{
	this->lSettings = lSettings;
}

/**
 *
 */
LessonSettings* Lesson::getLessonSettings()
{
	return lSettings;
}

/**
 *
 */
Questions* Lesson::getQuestions()
{
	return lQuestions;
}

/**
 *
 */
Score* Lesson::getScore()
{
	return lScore;
}

/**
 *
 */
void Lesson::setQuestions( Questions* lQuestions )
{
	this->lQuestions = lQuestions;
}

/**
 *
 */
void Lesson::setTitle( QString title )
{
	this->title = title;
}

/**
 *
 */
void Lesson::setInstructions( QString instructions )
{
	this->instructions = instructions;
}

/**
 *
 */
QString Lesson::getInstructions()
{
	return instructions;
}

/**
 *
 */
void Lesson::setLessonID( int ID )
{
	lessonID = ID;
}

/**
 *
 */
int Lesson::getLessonID()
{
	return lessonID;
}

