/******************************************************************************
 *
 * Copyright (c) 2006 Jon Black
 *
 * This file is part of Gibberish.
 *
 * Gibberish is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Gibberish is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

#include "LessonWidget.h"
#include "Questions.h"

// *****************************************************************************
// Constructor/Destructor
// *****************************************************************************

/**
 *
 */
LessonWidgetQA::LessonWidgetQA( QWidget * parent )
	: LessonWidget( parent )
{
	setupUi( this );

	// Set the instructions text
	instructions = "<h1>Question and Answer</h1>";
	instructions += "<h2>Instructions</h2>";
	instructions += "<p>";
	instructions += "A question appears and the answer must be entered in the provided text box.";
	instructions += "</p>";
	instructions += "<h2>Aim</h2>";
	instructions += "<p>";
	instructions += "Type the answer exactly.";
	instructions += "</p>";
}

// *****************************************************************************
// Methods
// *****************************************************************************

/**
 *
 */
void LessonWidgetQA::nextQuestion( Questions * lQuestions )
{
	QString question;

	// Get the question, answers and numbers
	lQuestions->getNextQuestion( question );

	// Set the text
	qlQuestion->setText( question );
}

/**
 * \fn checkAnswer
 * \brief Used to check if the answer was correct
 * \return Whether the answer was correct
 * 
 * This method must be implemented to return whether or not
 * the selected answer, by whatever means, was correct or not
 * and return that as a bool.
 */
bool LessonWidgetQA::checkAnswer( Questions * lQuestions )
{	
	return true;
}
