/******************************************************************************
 *
 * Copyright (c) 2006 Jon Black
 *
 * This file is part of Gibberish.
 *
 * Gibberish is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Gibberish is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

#ifndef LESSONDIALOG_H
#define LESSONDIALOG_H

#include "ui_LessonDialog.h"

class Lesson;
class LessonWidget;
class TimerWidget;

/**
 *
 */
class LessonDialog : public QDialog, private Ui::LessonDialog
{
	Q_OBJECT

	public:
		LessonDialog( QWidget* parent = 0, Lesson* lesson = 0 );

	public slots:
		void on_qpbStart_clicked();
		void on_qpbNext_clicked();
		void on_qpbPause_clicked();
		void endLesson();

	private:
		Lesson * lesson;
		LessonWidget * lessonWidget;
		TimerWidget * timerWidget;
};

#endif
