/******************************************************************************
 *
 * Copyright (c) 2006 Jon Black
 *
 * This file is part of Gibberish.
 *
 * Gibberish is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Gibberish is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QString>

#include "ui_MainWindow.h"
#include "StudentProfile.h"

class QComboBox;
class QLabel;

/** 
 * \class MainWindow
 * \brief This is the main windows of the application
 */
class MainWindow : public QMainWindow, private Ui::MainWindow
{
	Q_OBJECT

	public:
		MainWindow( QWidget * parent = 0, Qt::WFlags flags = 0 );
		//~MainWindow();

	private:
		StudentProfile studentProfile;
		QComboBox * wLanguageChoice;
		QLabel * wLanguageMode;

		void filterLessons( QString sql );
		void filterLessonsTaken( QString sql );
		void filterLessonResults( QString sql );
		void languageUpdate();

	private slots:
		void on_wLessons_clicked( const QModelIndex & );
		void on_wLessonsTakenTable_clicked( const QModelIndex & );
		void on_wFilter_textChanged( const QString & text );
		void on_wFilterCol_currentIndexChanged( const QString & text );
		void on_wTakeLesson_clicked();
		void on_actionAboutGibberish_triggered();
		void on_actionQuit_triggered();
		void on_actionLanguageMode_triggered();
		void on_wTimer_stateChanged( int state );
};

#endif
