/******************************************************************************
 *
 * Copyright (c) 2006 Jon Black
 *
 * This file is part of Gibberish.
 *
 * Gibberish is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Gibberish is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

#ifndef STUDENTPROFILE_H
#define STUDENTPROFILE_H

#include <QStringList>
#include <QString>

/**
 *
 */
class StudentProfile
{
	public:
		StudentProfile();

		void setNativeLanguages( QStringList );
		void setStudyLanguages( QStringList );
		void addNativeLanguage( QString );
		void addStudyLanguage( QString );
		void setForename( QString );
		void setSurname( QString );
		void setCurrentNativeLanguage( QString );
		void setCurrentStudyLanguage( QString );

		inline QString getForename() const { return forename; };
		inline QString getSurname() const { return surname; };
		inline QString getCurrentNativeLanguage() const { return currentNativeLanguage; };
		inline QString getCurrentStudyLanguage() const { return currentStudyLanguage; };
		inline QStringList getNativeLanguages() const { return nativeLanguages; };
		inline QStringList getStudyLanguages() const { return studyLanguages; };

	private:
		QString forename;								///< Students forname
		QString surname;								///< Students surname
		QString currentNativeLanguage;	///< Currently selected native language
		QString currentStudyLanguage; 	///< Currently selected foreign language
		QStringList nativeLanguages;  	///< Student's native languages
		QStringList studyLanguages; 		///< Languages student wants to learn
};

#endif
