/******************************************************************************
 *
 * Copyright (c) 2006 Jon Black
 *
 * This file is part of Gibberish.
 *
 * Gibberish is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Gibberish is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

#ifndef VOCABULARY_H
#define VOCABULARY_H

#include <QString>
#include <QStringList>
#include <QDate>

/** 
 * \class Vocabulary 
 * \brief Encapsulates the basic information from the vocabulary file.
 *
 * This holds the basic information from a vocabulary file. This does not
 * include the questions and answers. Instead, this must be read from the
 * file poined to by xmlPath.
 */
class Vocabulary
{
	public:
		Vocabulary();

		void setTitle( QString & );
		void setAuthor( QString & );
		void setEmail( QString & );
		void setDescription( QString & );
		void setCreated( QDate & );
		void setXMLPath( QString & );

		inline QString getTitle() const { return title; };
		inline QString getAuthor() const { return author; };
		inline QString getEmail() const { return email; };
		inline QString getDescription() const { return description; };
		inline QString getXMLPath() const { return xmlPath; };
		inline QDate 	 getCreated() const { return created; };

	private:
		QDate	created;
		QString title;
		QString author;
		QString email;
		QString description;
		QString xmlPath;
};

#endif
