/******************************************************************************
 *
 * Copyright (c) 2006 Jon Black
 *
 * This file is part of Gibberish.
 *
 * Gibberish is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Gibberish is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

#ifndef VOCABULARYPARSER_H
#define VOCABULARYPARSER_H

#include <QDomElement>
#include <QString>

class Questions;

/** 
 * \class VocabularyParser 
 * \brief Parses the vocabulary xml file.
 * \todo Needs to support all attributes within an XML vocabulary file.
 *
 * This class parses the vocabulary XML file and stores its contents
 * in various objects. For example, the questions go into the questions object.
 */
class VocabularyParser
{
	public:
		VocabularyParser( QString nLang, QString fLang );

		void parse( QIODevice * device, Questions * lQuestions );

	private:
		QString nativeLang;
		QString foreignLang;
		void parseWords( const QDomElement &element );
		void parseEntry( const QDomElement &element );
		
		Questions * lQuestions;
};

#endif
