/******************************************************************************
 *
 * Copyright (c) 2006 Jon Black
 *
 * This file is part of Gibberish.
 *
 * Gibberish is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Gibberish is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

#include <QtPlugin>

#include "LineChartPlugin.h"
#include "LineChart.h"

LineChartPlugin::LineChartPlugin( QObject * parent )
	: QObject( parent )
{
}

QString LineChartPlugin::name() const
{
	return "LineChart";
}

QString LineChartPlugin::includeFile() const
{
	return "LineChart.h";
}

QString LineChartPlugin::group() const
{
	return tr("Charts and Graphs");
}

QIcon LineChartPlugin::icon() const
{
	return QIcon();
}

QString LineChartPlugin::toolTip() const
{
	return tr("A Line Chart Widget");
}

QString LineChartPlugin::whatsThis() const
{
	return tr("This widget was created as part of gibberish!");
}

bool LineChartPlugin::isContainer() const
{
	return false;	
}

QWidget * LineChartPlugin::createWidget( QWidget * parent )
{
	return new LineChart( parent );
}

Q_EXPORT_PLUGIN2( linechartplugin, LineChartPlugin )
